- [HTTP request](https://docs.cloud.google.com/workstations/docs/reference/rest/v1/projects.locations.workstationClusters.workstationConfigs.workstations/start#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/workstations/docs/reference/rest/v1/projects.locations.workstationClusters.workstationConfigs.workstations/start#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/workstations/docs/reference/rest/v1/projects.locations.workstationClusters.workstationConfigs.workstations/start#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/workstations/docs/reference/rest/v1/projects.locations.workstationClusters.workstationConfigs.workstations/start#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/workstations/docs/reference/rest/v1/projects.locations.workstationClusters.workstationConfigs.workstations/start#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/workstations/docs/reference/rest/v1/projects.locations.workstationClusters.workstationConfigs.workstations/start#body.aspect)
- [Try it!](https://docs.cloud.google.com/workstations/docs/reference/rest/v1/projects.locations.workstationClusters.workstationConfigs.workstations/start#try-it)

Starts running a workstation so that users can connect to it.

### HTTP request

Choose an endpoint:
global asia-south1 europe-west6 us-central1 us-east1 us-east4 us-east5 us-west1 us-west4   
`POST https://workstations.googleapis.com/v1/{name=projects/*/locations/*/workstationClusters/*/workstationConfigs/*/workstations/*}:start`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the workstation to start. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "validateOnly": boolean, "etag": string, "boostConfig": string } ``` |

| Fields ||
|---|---|
| `validateOnly` | `boolean` Optional. If set, validate the request and preview the result, but do not actually apply it. |
| `etag` | `string` Optional. If set, the request will be rejected if the latest version of the workstation on the server does not have this ETag. |
| `boostConfig` | `string` Optional. If set, the workstation starts using the boost configuration with the specified ID. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/workstations/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).